﻿namespace Blazor.Models
{
    public class Question
    {
        public int Id { get; private set; }
        public string Content { get; set; }
        public int IdChapter { get; set; }
        public int IdAnswerGood { get; set; }
        public int Difficulty { get; set; }
        public int nbFails { get; set; }

        public Question(int id, string content, int idChapter, int idAnswerGood, int difficulty, int nbFails = 0)
        {
            Id = id;
            Content = content;
            IdChapter = idChapter;
            IdAnswerGood = idAnswerGood;
            Difficulty = difficulty;
            this.nbFails = nbFails;
        }
    }
}
